> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usecontextlayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List declared resources and their configuration



## OpenAPI

````yaml https://platform.usecontextlayer.com/api/openapi.json post /slates/{target}/resources/list
openapi: 3.1.0
info:
  title: ContextLayer Platform
  version: 0.1.0
servers:
  - url: https://platform.usecontextlayer.com/api
security: []
tags:
  - name: Slates
  - name: Slate routing
  - name: Slate resources
  - name: Accounts
  - name: Shared secrets
  - name: Agents
  - name: Agent jobs
paths:
  /slates/{target}/resources/list:
    post:
      tags:
        - Slate resources
      summary: List declared resources and their configuration
      operationId: listSlateResources
      parameters:
        - schema:
            anyOf:
              - type: string
                format: uuid
              - type: string
          required: true
          name: target
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties: {}
              additionalProperties: false
      responses:
        '200':
          description: >-
            Resource requirements, consumers, selected Owners, saved connection
            assignments, and secret presence
          content:
            application/json:
              schema:
                type: object
                properties:
                  resources:
                    type: object
                    properties:
                      connections:
                        type: object
                        additionalProperties:
                          type: object
                          properties:
                            mode:
                              type: string
                              enum:
                                - viewer
                                - owner
                            toolkit:
                              type: string
                              minLength: 1
                            consumers:
                              type: array
                              items:
                                oneOf:
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - app
                                    required:
                                      - type
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      name:
                                        type: string
                                        minLength: 1
                                      type:
                                        type: string
                                        enum:
                                          - agent
                                    required:
                                      - name
                                      - type
                                    additionalProperties: false
                            account_id:
                              type:
                                - string
                                - 'null'
                            owner:
                              oneOf:
                                - type: object
                                  properties:
                                    id:
                                      type: string
                                      minLength: 1
                                    type:
                                      type: string
                                      enum:
                                        - personal
                                  required:
                                    - id
                                    - type
                                - type: object
                                  properties:
                                    id:
                                      type: string
                                      minLength: 1
                                    type:
                                      type: string
                                      enum:
                                        - organization
                                  required:
                                    - id
                                    - type
                          required:
                            - mode
                            - toolkit
                            - consumers
                            - account_id
                            - owner
                          additionalProperties: false
                      databases:
                        type: object
                        additionalProperties:
                          type: object
                          properties:
                            mode:
                              type: string
                              enum:
                                - viewer
                                - owner
                            consumers:
                              type: array
                              items:
                                oneOf:
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - app
                                    required:
                                      - type
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      name:
                                        type: string
                                        minLength: 1
                                      type:
                                        type: string
                                        enum:
                                          - agent
                                    required:
                                      - name
                                      - type
                                    additionalProperties: false
                            instance_name:
                              type: string
                              minLength: 1
                            owner:
                              oneOf:
                                - type: object
                                  properties:
                                    id:
                                      type: string
                                      minLength: 1
                                    type:
                                      type: string
                                      enum:
                                        - personal
                                  required:
                                    - id
                                    - type
                                - type: object
                                  properties:
                                    id:
                                      type: string
                                      minLength: 1
                                    type:
                                      type: string
                                      enum:
                                        - organization
                                  required:
                                    - id
                                    - type
                          required:
                            - mode
                            - consumers
                            - instance_name
                            - owner
                          additionalProperties: false
                      secrets:
                        type: object
                        additionalProperties:
                          oneOf:
                            - type: object
                              properties:
                                mode:
                                  type: string
                                  enum:
                                    - owner
                                consumers:
                                  type: array
                                  items:
                                    oneOf:
                                      - type: object
                                        properties:
                                          type:
                                            type: string
                                            enum:
                                              - app
                                        required:
                                          - type
                                        additionalProperties: false
                                      - type: object
                                        properties:
                                          name:
                                            type: string
                                            minLength: 1
                                          type:
                                            type: string
                                            enum:
                                              - agent
                                        required:
                                          - name
                                          - type
                                        additionalProperties: false
                                owner:
                                  oneOf:
                                    - type: object
                                      properties:
                                        id:
                                          type: string
                                          minLength: 1
                                        type:
                                          type: string
                                          enum:
                                            - personal
                                      required:
                                        - id
                                        - type
                                    - type: object
                                      properties:
                                        id:
                                          type: string
                                          minLength: 1
                                        type:
                                          type: string
                                          enum:
                                            - organization
                                      required:
                                        - id
                                        - type
                              required:
                                - mode
                                - consumers
                                - owner
                              additionalProperties: false
                            - type: object
                              properties:
                                mode:
                                  type: string
                                  enum:
                                    - viewer
                                consumers:
                                  type: array
                                  items:
                                    oneOf:
                                      - type: object
                                        properties:
                                          type:
                                            type: string
                                            enum:
                                              - app
                                        required:
                                          - type
                                        additionalProperties: false
                                      - type: object
                                        properties:
                                          name:
                                            type: string
                                            minLength: 1
                                          type:
                                            type: string
                                            enum:
                                              - agent
                                        required:
                                          - name
                                          - type
                                        additionalProperties: false
                                owner:
                                  oneOf:
                                    - type: object
                                      properties:
                                        id:
                                          type: string
                                          minLength: 1
                                        type:
                                          type: string
                                          enum:
                                            - personal
                                      required:
                                        - id
                                        - type
                                    - type: object
                                      properties:
                                        id:
                                          type: string
                                          minLength: 1
                                        type:
                                          type: string
                                          enum:
                                            - organization
                                      required:
                                        - id
                                        - type
                                supplied:
                                  type: boolean
                              required:
                                - mode
                                - consumers
                                - owner
                                - supplied
                              additionalProperties: false
                    required:
                      - connections
                      - databases
                      - secrets
                    additionalProperties: false
                  slate:
                    $ref: '#/components/schemas/Slate'
                required:
                  - resources
                  - slate
        '400':
          description: Invalid listing request
        '401':
          description: A valid ContextLayer login is required
        '403':
          description: Slate viewing is forbidden
        '404':
          description: Slate not found
        '409':
          description: Nothing has been pushed to the slate's main branch yet
          content:
            application/json:
              schema:
                type: object
                properties:
                  reason:
                    type: string
                    enum:
                      - no-commit
                required:
                  - reason
      security:
        - bearerAuth: []
        - webCookie: []
        - localWebCookie: []
components:
  schemas:
    Slate:
      type: object
      properties:
        id:
          type: string
          format: uuid
        owner_organization_id:
          type:
            - string
            - 'null'
          minLength: 1
        owner_user_id:
          type:
            - string
            - 'null'
          minLength: 1
        public_hostname:
          type: string
        visibility:
          type: string
          enum:
            - public
            - private
      required:
        - id
        - owner_organization_id
        - owner_user_id
        - public_hostname
        - visibility
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    webCookie:
      in: cookie
      name: __Secure-better-auth.session_token
      type: apiKey
    localWebCookie:
      in: cookie
      name: better-auth.session_token
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.